Loading...
Searching...
No Matches
keys.h File Reference
SPA » Node

spa/node/keys.h More...

Go to the source code of this file.

## Macros

#define | SPA_KEY_NODE_NAME "node.name"
| node keys
#define | SPA_KEY_NODE_DESCRIPTION "node.description"
| localized human readable node one-line description.
#define | SPA_KEY_NODE_LATENCY "node.latency"
| the requested node latency
#define | SPA_KEY_NODE_MAX_LATENCY "node.max-latency"
| maximum supported latency
#define | SPA_KEY_NODE_DRIVER "node.driver"
| the node can be a driver
#define | SPA_KEY_NODE_ALWAYS_PROCESS "node.always-process"
| call the process function even if not linked.
#define | SPA_KEY_NODE_PAUSE_ON_IDLE "node.pause-on-idle"
| if the node should be paused immediately when idle.
#define | SPA_KEY_NODE_MONITOR "node.monitor"
| the node has monitor ports
#define | SPA_KEY_PORT_NAME "port.name"
| port keys
#define | SPA_KEY_PORT_ALIAS "port.alias"
| a port alias
#define | SPA_KEY_PORT_MONITOR "port.monitor"
| this port is a monitor port
#define | SPA_KEY_PORT_IGNORE_LATENCY "port.ignore-latency"
| latency ignored by peers
#define | SPA_KEY_PORT_GROUP "port.group"
| the port group this port belongs to

## Detailed Description

spa/node/keys.h